/*
  https://www.youtube.com/watch?v=ij_kkOZOjsQ
  https://github.com/VincentGarreau/particles.js/
*/

* {
  margin: 0;
  padding: 0;
  /*font-family: 'Tangerine', cursive;*/
}

body {
  /*display: flex;*/ /*為了後面還有東西，所以拿掉*/
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}

section {
  position: relative;
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(#79def5 ,#0937d2); /*linear-gradient(#ffeb3b ,#e91063);*/

  z-index: 20;
}

section h2 {
  position: relative;
  text-align: center;
  font-size: 70px;
  color: #fff;
  text-shadow: 0 5px 10px rgba(0,0,0,0.2);

  z-index: 10;
}

section h2 span {
  font-size: 30px;
  font-family: sans-serif;
}
/*
section h2:before {
  content: '';
  position: absolute;
  top: -44px;
  left: -100px;
  width: 200px;
  height: 200px;
  background: transparent;
  border-left: 15px solid #fff;
  border-radius: 50%;
  transform: rotate(-30deg);
  box-shadow: -14px 1px 10px rgba(0,0,0,0.1);
}
*/

.mosque {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 400px;
  background: url('../images/mosque.png');
  background-repeat: repeat-x;
  background-size: 1200px;
  z-index: 1;
  pointer-events: none;
  animation: animate 20s linear infinite;
}

@keyframes animate {
  0% {
    background-position: 1600px;
  }
  100% {
    background-position: 0px;
  }
}

.mosque::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 600px;
  background: url('../images/mosque.png');
  background-repeat: repeat-x;
  background-size: 1600px;
  z-index: 1;
  pointer-events: none;
  opacity: 0.1;
  animation: animateReverse 40s linear infinite;
}

@keyframes animateReverse {
  0% {
    background-position: 0px;
  }
  100% {
    background-position: 1200px;
  }
}


.particles-js-canvas-el {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@media (max-width: 767px) {
	section h2 {
		font-size: 40px;
	}

	section h2 span {
		font-size: 25px;
	}
}
